PYBTCTOOL(1)

NAME
pybtctool - command interface for Bitcoin signatures and transactions

SYNOPSIS
pybtctool [-sBbJj] COMMAND [, COMMAND_ARG] ...

DESCRIPTION

pybtctool has a set of commands for interacting with the Bitcoin network.

With a command, you can generate a signature, hash, seed, or address; serialise or deserialise standard data formats; query the blockchain; and many more operations.

OPTIONS

-s  The -s option lets you read arguments from the command line.

-b  The -b option lets you read binary data as an argument.

-j
-J
    The -j option lets you read JSON from the command line (-J to split a JSON list into multiple arguments).

COMMANDS

Presently supported commands are:

  Key manipulation

privkey_to_pubkey
    privkey -> pubkey

privtopub
    privkey -> pubkey

pubkey_to_address
    pubkey -> address

pubtoaddr
    pubkey -> address

privkey_to_address
    privkey -> address

privtoaddr
    privkey -> address

  Key arithmetic

add key1 key2 -> key1 + key2 (works on privkeys or pubkeys)

multiply
    pubkey privkey -> returns pubkey * privkey

  ECDSA operations

ecdsa_sign
    message privkey -> sig

ecdsa_verify
    message sig pubkey -> True/False

ecdsa_recover
    message sig -> pubkey

  Random data

random_key
    -> privkey

random_electrum_seed
    -> electrum seed

  Electrum operations

electrum_stretch
    seed -> secret exponent

electrum_privkey
    seed or secret exponent i type -> privkey

electrum_mpk
    seed or secret exponent -> master public key

electrum_pubkey
    seed or secret exponend or mpk -> pubkey

  BIP-32 operations

bip32_master_key
    seed -> bip32 master key

bip32_ckd
    private or public bip32 key i -> child key

bip32_privtopub
    private bip32 key -> public bip32 key

bip32_extract_key
    private or public bip32_key -> privkey or pubkey

  Transaction operations

deserialize
    hex or bin transaction -> JSON tx

serialize
    JSON tx -> hex or bin tx

mktx
    inputs outputs -> tx

mksend
    inputs outputs change_addr fee -> tx

sign
    tx i privkey -> tx with index i signed with privkey

multisign
    tx i script privkey -> signature

apply_multisignatures
    tx i script sigs -> tx with index i signed with sigs

scriptaddr
    script -> P2SH address

mk_multisig_script
    pubkeys k n -> k-of-n multisig script from pubkeys

verify_tx_input
    tx i script sig pub -> True/False

tx_hash
    hex or bin tx -> hash

  Blockchain operations

history
    address1 address2 etc. -> outputs to those addresses

unspent
    address1 address2 etc. -> unspent outputs to those addresses

fetchtx
    txash -> tx if present

pushtx
    hex or bin tx -> tries to push to blockchain.info/pushtx

  Serialisation operations

access
    JSON list or object prop -> desired property of that json object

multiaccess
    JSON list prop -> like access, but mapped across each list element

slice
    JSON list start end -> given slice of the list

count
    JSON list -> number of elements

sum JSON list -> sum of all values

SEE ALSO

Project page for ‘pybitcointools’ (https://github.com/vbuterin/pybitcointools).